> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/sql-commands/sql-altereventtrigger.md).

# ALTER EVENT TRIGGER

### ALTER EVENT TRIGGER

ALTER EVENT TRIGGER — change the definition of an event trigger

### Synopsis

```

ALTER EVENT TRIGGER name DISABLE
ALTER EVENT TRIGGER name ENABLE [ REPLICA | ALWAYS ]
ALTER EVENT TRIGGER name OWNER TO { new_owner | CURRENT_ROLE | CURRENT_USER | SESSION_USER }
ALTER EVENT TRIGGER name RENAME TO new_name
```

### Description

`ALTER EVENT TRIGGER` changes properties of an existing event trigger.

You must be superuser to alter an event trigger.

### Parameters

*`name`* : The name of an existing trigger to alter.

*`new_owner`* : The user name of the new owner of the event trigger.

*`new_name`* : The new name of the event trigger.

`DISABLE`/`ENABLE [ REPLICA | ALWAYS ]` : These forms configure the firing of event triggers. A disabled trigger is still known to the system, but is not executed when its triggering event occurs. See also [session\_replication\_role](/server-administration/runtime-config/runtime-config-client.md#GUC-SESSION-REPLICATION-ROLE).

### Compatibility

There is no `ALTER EVENT TRIGGER` statement in the SQL standard.

### See Also

[CREATE EVENT TRIGGER](/reference/sql-commands/sql-createeventtrigger.md), [DROP EVENT TRIGGER](/reference/sql-commands/sql-dropeventtrigger.md)

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/sql-altereventtrigger.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/sql-commands/sql-altereventtrigger.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
